summaryrefslogtreecommitdiff
path: root/debian/rapid-tunneling-server.postinst
diff options
context:
space:
mode:
authorTzafrir Cohen <tzafrir.cohen@xorcom.com>2009-01-05 19:42:10 +0000
committerTzafrir Cohen <tzafrir.cohen@xorcom.com>2009-01-05 19:42:10 +0000
commitf6c6fd27a4634464f7ace0c135699cce02c43817 (patch)
tree5b1903b655ad21ad6144436257ae272066f092ea /debian/rapid-tunneling-server.postinst
parentd7b80cace5be8b0e263cec1e36f0553842a6e991 (diff)
GPG signature of tarball; path changes
* The tarball sent by the support user is now signed: an extra sig.asc gpg ascii-armoured signature of the contents of all the other file (alphabetical order). * Client verifies that before touching the data further. * Hence packages depend on gnupg. * Error code from gpg errors: 7. * Scripts used by the server are now in /usr/share/rapid-tunneling/bin . * Server support user sources /usr/share/rapid-tunneling/support_env . * Fixed purging for Debian -server package. * rtadm's config file is /etc/rapid-tunneling/rtadm . git-svn-id: svn+ssh://xorcom/home/svn/debs/components/rapid-tunneling@6550 283159da-0705-0410-b60c-f2062b4bb6ad
Diffstat (limited to 'debian/rapid-tunneling-server.postinst')
-rw-r--r--debian/rapid-tunneling-server.postinst15
1 files changed, 11 insertions, 4 deletions
diff --git a/debian/rapid-tunneling-server.postinst b/debian/rapid-tunneling-server.postinst
index 18e8b5b..1a1c3fb 100644
--- a/debian/rapid-tunneling-server.postinst
+++ b/debian/rapid-tunneling-server.postinst
@@ -17,13 +17,20 @@ set -e
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package
+HOME_DIR=/var/lib/rapid-tunneling/support
+NEW_USER=support
case "$1" in
configure)
- useradd -d /var/lib/rapid-tunneling-server -m support 2>/dev/null || :
- LINE='export PATH=$PATH:/usr/sbin'
- PROFILE=/var/lib/rapid-tunneling-server/.bash_profile
- if ! fgrep -q "$LINE" $PROFILE 2>/dev/null; then echo "$LINE" >> $PROFILE; fi
+ if ! getent passwd $NEW_USER >/dev/null; then
+ adduser --disabled-password --home $HOME_DIR \
+ --gecos "Rapid Tunneling support" $NEW_USER 2>/dev/null || :
+ fi
+ LINE='. /usr/share/rapid-tunneling/support_env'
+ PROFILE=$HOME_DIR/.profile
+ if ! fgrep -q "$LINE" $PROFILE 2>/dev/null; then
+ echo "$LINE" >> $PROFILE;
+ fi
;;
abort-upgrade|abort-remove|abort-deconfigure)